flagkit 0.0.3 copy "flagkit: ^0.0.3" to clipboard
flagkit: ^0.0.3 copied to clipboard

FlagKit is a collection of all country flags for flutter for easier integration.

Flag Kit #

Flag Kit is a (Blazing Fast) Flutter package that provides a simple way to display a flag for a specific country using its ISO 3166-1 alpha-2 code.

Usage #

To use Flag Kit, simply add it to your project's pubspec.yaml file:

flagkit: ^0.0.2

Then, in your Dart code, import the flagkit package:

import 'package:flagkit/flagkit.dart';

Finally, use the Flag widget to display a flag:

 Widget build(BuildContext context) {
   return Flag.of('GE'); //in this case Georgian flag
 }

By default, the Flag widget will size itself to fit its parent widget. If you want to specify a size for the flag, you can do so using the size parameter:

Flag('US', size: 48)

Features #

  • Displays flags for all countries with a valid ISO 3166-1 alpha-2 code
  • Simple and easy-to-use API

Goals #

  • Option to have SVG Flags for perfect scaling

Contributing #

Big Thanks to FlagKit.

We welcome contributions to Flag Kit! To get started, please read our contribution guidelines.

License #

Flag Kit is released under the MIT License.

3
likes
150
pub points
66%
popularity

Publisher

unverified uploader

FlagKit is a collection of all country flags for flutter for easier integration.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (license)

Dependencies

flutter

More

Packages that depend on flagkit